---
title: "Xiaohongshu (RedNote) Note Details API (V6)"
description: "Retrieves Xiaohongshu (RedNote) video-note details by note ID. Use it to look up and process a known video note."
aiUsagePrompt: true
---

# Xiaohongshu \(RedNote\) Note Details API \(V6\)

<ApiTester
  method="GET"
  :path='JSON.parse("\"/api/xiaohongshu/get-note-detail/v6\"")'
  :summary='JSON.parse("\"Note Details (V6)\"")'
  openapiDefinitionUrl="https://docs.justoneapi.com/openapi/xiaohongshu-rednote/note-details-v6-en.json"
  openapiVersion="3.1.0"
  :parameters='JSON.parse("[{\"name\":\"token\",\"in\":\"query\",\"description\":\"Access token for this API service.\",\"required\":true,\"schema\":{\"type\":\"string\"}},{\"name\":\"noteId\",\"in\":\"query\",\"description\":\"Unique note identifier on Xiaohongshu.\",\"required\":true,\"schema\":{\"type\":\"string\"}}]")'
  :requestBody='JSON.parse("null")'
  :responses='JSON.parse("{\"200\":{\"description\":\"OK\",\"content\":{\"application/json\":{\"schema\":{\"if\":{\"properties\":{\"code\":{\"const\":0}},\"required\":[\"code\"]},\"then\":{\"properties\":{\"data\":{\"description\":\"Video-note details. A successful response usually returns an array with the matching note or an empty array.\",\"items\":{\"type\":\"object\",\"description\":\"A matching Xiaohongshu video note.\",\"properties\":{\"id\":{\"type\":\"string\",\"description\":\"Xiaohongshu note ID.\"},\"type\":{\"type\":\"string\",\"description\":\"Note type label returned for this video note.\"},\"title\":{\"type\":\"string\",\"description\":\"Note title.\"},\"desc\":{\"type\":\"string\",\"description\":\"Note description text.\"},\"time\":{\"type\":\"integer\",\"description\":\"Note publication time as a Unix timestamp in seconds.\"},\"last_update_time\":{\"type\":\"integer\",\"description\":\"Last update time as a Unix timestamp in seconds when set. The value can be zero.\"},\"text_language_code\":{\"type\":\"string\",\"description\":\"Text language code reported for the note.\"},\"ip_location\":{\"type\":\"string\",\"description\":\"Location label shown on the note by the platform.\"},\"liked_count\":{\"type\":\"integer\",\"description\":\"Number of likes reported for the note.\"},\"collected_count\":{\"type\":\"integer\",\"description\":\"Number of saves reported for the note.\"},\"comments_count\":{\"type\":\"integer\",\"description\":\"Number of comments reported for the note.\"},\"shared_count\":{\"type\":\"integer\",\"description\":\"Number of shares reported for the note.\"},\"view_count\":{\"type\":\"integer\",\"description\":\"Number of views reported for the note.\"},\"liked\":{\"type\":\"boolean\",\"description\":\"Like status reported with the note.\"},\"collected\":{\"type\":\"boolean\",\"description\":\"Save status reported with the note.\"},\"user\":{\"type\":\"object\",\"description\":\"Author profile information returned with the note.\",\"properties\":{\"id\":{\"type\":\"string\",\"description\":\"Author ID returned with the profile.\"},\"userid\":{\"type\":\"string\",\"description\":\"Author user ID returned with the profile.\"},\"name\":{\"type\":\"string\",\"description\":\"Author name as returned in the profile.\"},\"nickname\":{\"type\":\"string\",\"description\":\"Author display nickname.\"},\"red_id\":{\"type\":\"string\",\"description\":\"Author&#39;s Xiaohongshu account handle.\"},\"image\":{\"type\":\"string\",\"description\":\"Author profile image URL.\"},\"image_size_large\":{\"type\":\"string\",\"description\":\"Large author profile image URL, when provided.\"},\"followed\":{\"type\":\"boolean\",\"description\":\"Follow status reported with the author profile.\"},\"red_official_verified\":{\"type\":\"boolean\",\"description\":\"Whether the author profile is marked as officially verified.\"},\"red_official_verify_type\":{\"type\":\"integer\",\"description\":\"Numeric official verification type code.\"},\"level\":{\"type\":\"object\",\"description\":\"Author level badge information.\",\"properties\":{\"image\":{\"type\":\"string\",\"description\":\"Image URL for the author level badge.\"}}}}},\"topics\":{\"type\":\"array\",\"description\":\"Topics associated with the video note.\",\"items\":{\"type\":\"object\",\"description\":\"A topic associated with the note.\",\"properties\":{\"id\":{\"type\":\"string\",\"description\":\"Topic ID.\"},\"name\":{\"type\":\"string\",\"description\":\"Topic name.\"},\"image\":{\"type\":\"string\",\"description\":\"Image URL associated with the topic.\"},\"link\":{\"type\":\"string\",\"description\":\"Navigation link returned for the topic.\"},\"discuss_num\":{\"type\":\"integer\",\"description\":\"Discussion count reported for the topic.\"}}}},\"hash_tag\":{\"type\":\"array\",\"description\":\"Hashtag information returned with the note.\",\"items\":{\"type\":\"object\",\"description\":\"A hashtag attached to the note.\",\"properties\":{\"id\":{\"type\":\"string\",\"description\":\"Hashtag ID.\"},\"name\":{\"type\":\"string\",\"description\":\"Hashtag display name.\"},\"link\":{\"type\":\"string\",\"description\":\"Navigation link returned for the hashtag.\"},\"type\":{\"type\":\"string\",\"description\":\"Hashtag type label.\"},\"tag_hint\":{\"type\":\"string\",\"description\":\"Display hint for the hashtag.\"}}}},\"ats\":{\"type\":\"array\",\"description\":\"Accounts mentioned in the note, when present.\",\"items\":{\"type\":\"object\",\"description\":\"An account mentioned in the note.\",\"properties\":{\"id\":{\"type\":\"string\",\"description\":\"Mentioned account ID.\"},\"name\":{\"type\":\"string\",\"description\":\"Name returned for the mentioned account.\"},\"nickname\":{\"type\":\"string\",\"description\":\"Display nickname of the mentioned account.\"},\"red_official_verified\":{\"type\":\"boolean\",\"description\":\"Whether the mentioned account is marked as officially verified.\"},\"red_official_verify_type\":{\"type\":\"integer\",\"description\":\"Numeric official verification type code.\"},\"level\":{\"type\":\"object\",\"description\":\"Mentioned account level badge information.\",\"properties\":{\"image\":{\"type\":\"string\",\"description\":\"Image URL for the mentioned account level badge.\"}}}}}},\"images_list\":{\"type\":\"array\",\"description\":\"Image assets attached to the video note, including available cover images.\",\"items\":{\"type\":\"object\",\"description\":\"An image asset for the video note.\",\"properties\":{\"fileid\":{\"type\":\"string\",\"description\":\"Image resource ID.\"},\"index\":{\"type\":\"integer\",\"description\":\"Position index reported for this image.\"},\"url\":{\"type\":\"string\",\"description\":\"Image URL.\"},\"original\":{\"type\":\"string\",\"description\":\"Original image URL, when provided.\"},\"url_size_large\":{\"type\":\"string\",\"description\":\"Large image URL, when provided.\"},\"width\":{\"type\":\"integer\",\"description\":\"Image width in pixels.\"},\"height\":{\"type\":\"integer\",\"description\":\"Image height in pixels.\"},\"origin_img\":{\"type\":\"object\",\"description\":\"Original image metadata when provided.\",\"properties\":{\"width\":{\"type\":\"integer\",\"description\":\"Original image width in pixels.\"},\"height\":{\"type\":\"integer\",\"description\":\"Original image height in pixels.\"},\"size\":{\"type\":\"integer\",\"description\":\"Size value reported for the original image.\"}}}}}},\"video_info_v2\":{\"type\":\"object\",\"description\":\"Video, image, and media stream metadata for the note.\",\"properties\":{\"image\":{\"type\":\"object\",\"description\":\"Preview image URLs returned with the video.\",\"properties\":{\"first_frame\":{\"type\":\"string\",\"description\":\"First-frame image URL, when provided.\"},\"thumbnail\":{\"type\":\"string\",\"description\":\"Video thumbnail URL.\"},\"thumbnail_dim\":{\"type\":\"string\",\"description\":\"Additional thumbnail URL returned for the video.\"}}},\"consumer\":{\"type\":\"object\",\"description\":\"Playback capabilities reported for the video.\",\"properties\":{\"can_super_resolution\":{\"type\":\"boolean\",\"description\":\"Whether the playback metadata marks super-resolution as available.\"}}},\"media\":{\"type\":\"object\",\"description\":\"Video and media stream metadata. Some groups may be unavailable or empty.\",\"properties\":{\"video_id\":{\"type\":\"string\",\"description\":\"Video ID reported in the media metadata.\"},\"video\":{\"type\":\"object\",\"description\":\"Information about the video as a whole.\",\"properties\":{\"duration\":{\"type\":\"integer\",\"description\":\"Overall video duration in seconds.\"},\"width\":{\"type\":\"integer\",\"description\":\"Video width in pixels.\"},\"height\":{\"type\":\"integer\",\"description\":\"Video height in pixels.\"},\"hdr_type\":{\"type\":\"integer\",\"description\":\"Numeric HDR type code reported for the video.\"},\"drm_type\":{\"type\":\"integer\",\"description\":\"Numeric DRM type code reported for the video.\"},\"stream_types\":{\"type\":\"array\",\"description\":\"Numeric video stream type codes reported for the video.\",\"items\":{\"type\":\"integer\",\"description\":\"A video stream type code.\"}},\"subtitles\":{\"type\":\"object\",\"additionalProperties\":{\"type\":\"array\",\"description\":\"Subtitle tracks under this key.\",\"items\":{\"type\":\"object\",\"description\":\"A subtitle track.\",\"properties\":{\"language\":{\"type\":\"string\",\"description\":\"Language label returned for this subtitle track.\"},\"url\":{\"type\":\"string\",\"description\":\"File URL for this subtitle track.\"},\"format\":{\"type\":\"integer\",\"description\":\"Numeric format code returned for this subtitle track.\"},\"type\":{\"type\":\"integer\",\"description\":\"Numeric type code returned for this subtitle track.\"}}}},\"description\":\"Subtitle tracks grouped by returned key. Keys can include a language label or the source entry.\"}}},\"stream\":{\"type\":\"object\",\"description\":\"Video renditions grouped by codec family. Some groups can be empty.\",\"properties\":{\"h264\":{\"type\":\"array\",\"description\":\"H.264 video streams returned for the note.\",\"items\":{\"type\":\"object\",\"description\":\"A video stream rendition and its available audio metadata.\",\"properties\":{\"master_url\":{\"type\":\"string\",\"description\":\"Primary media URL for this rendition.\"},\"backup_urls\":{\"type\":\"array\",\"description\":\"Alternative media URLs for this rendition.\",\"items\":{\"type\":\"string\",\"description\":\"An alternative media URL.\"}},\"format\":{\"type\":\"string\",\"description\":\"Container format label for the media file.\"},\"quality_type\":{\"type\":\"string\",\"description\":\"Quality label reported for this video rendition.\"},\"stream_desc\":{\"type\":\"string\",\"description\":\"Display description for this media rendition.\"},\"stream_type\":{\"type\":\"integer\",\"description\":\"Numeric stream type code returned for this rendition.\"},\"width\":{\"type\":\"integer\",\"description\":\"Encoded video width in pixels.\"},\"height\":{\"type\":\"integer\",\"description\":\"Encoded video height in pixels.\"},\"fps\":{\"type\":\"integer\",\"description\":\"Frame rate reported in frames per second.\"},\"duration\":{\"type\":\"integer\",\"description\":\"Total duration of this media stream in milliseconds.\"},\"video_duration\":{\"type\":\"integer\",\"description\":\"Duration of the video track in milliseconds.\"},\"audio_duration\":{\"type\":\"integer\",\"description\":\"Duration of the audio track in milliseconds.\"},\"size\":{\"type\":\"integer\",\"description\":\"Size of this encoded media file in bytes.\"},\"avg_bitrate\":{\"type\":\"integer\",\"description\":\"Average bitrate of this media stream in bits per second.\"},\"video_bitrate\":{\"type\":\"integer\",\"description\":\"Video track bitrate in bits per second.\"},\"audio_bitrate\":{\"type\":\"integer\",\"description\":\"Audio track bitrate in bits per second.\"},\"audio_channels\":{\"type\":\"integer\",\"description\":\"Number of audio channels reported for this track.\"},\"audio_codec\":{\"type\":\"string\",\"description\":\"Audio codec name reported for this track.\"},\"video_codec\":{\"type\":\"string\",\"description\":\"Video codec name reported for this track.\"},\"rotate\":{\"type\":\"integer\",\"description\":\"Rotation value reported for this video rendition.\"},\"psnr\":{\"type\":\"integer\",\"description\":\"PSNR quality value on the scale returned by the platform.\"},\"ssim\":{\"type\":\"integer\",\"description\":\"SSIM quality value on the scale returned by the platform.\"},\"vmaf\":{\"type\":\"integer\",\"description\":\"VMAF quality value on the scale returned by the platform.\"}}}},\"h265\":{\"type\":\"array\",\"description\":\"H.265 video streams returned for the note.\",\"items\":{\"type\":\"object\",\"description\":\"A video stream rendition and its available audio metadata.\",\"properties\":{\"master_url\":{\"type\":\"string\",\"description\":\"Primary media URL for this rendition.\"},\"backup_urls\":{\"type\":\"array\",\"description\":\"Alternative media URLs for this rendition.\",\"items\":{\"type\":\"string\",\"description\":\"An alternative media URL.\"}},\"format\":{\"type\":\"string\",\"description\":\"Container format label for the media file.\"},\"quality_type\":{\"type\":\"string\",\"description\":\"Quality label reported for this video rendition.\"},\"stream_desc\":{\"type\":\"string\",\"description\":\"Display description for this media rendition.\"},\"stream_type\":{\"type\":\"integer\",\"description\":\"Numeric stream type code returned for this rendition.\"},\"width\":{\"type\":\"integer\",\"description\":\"Encoded video width in pixels.\"},\"height\":{\"type\":\"integer\",\"description\":\"Encoded video height in pixels.\"},\"fps\":{\"type\":\"integer\",\"description\":\"Frame rate reported in frames per second.\"},\"duration\":{\"type\":\"integer\",\"description\":\"Total duration of this media stream in milliseconds.\"},\"video_duration\":{\"type\":\"integer\",\"description\":\"Duration of the video track in milliseconds.\"},\"audio_duration\":{\"type\":\"integer\",\"description\":\"Duration of the audio track in milliseconds.\"},\"size\":{\"type\":\"integer\",\"description\":\"Size of this encoded media file in bytes.\"},\"avg_bitrate\":{\"type\":\"integer\",\"description\":\"Average bitrate of this media stream in bits per second.\"},\"video_bitrate\":{\"type\":\"integer\",\"description\":\"Video track bitrate in bits per second.\"},\"audio_bitrate\":{\"type\":\"integer\",\"description\":\"Audio track bitrate in bits per second.\"},\"audio_channels\":{\"type\":\"integer\",\"description\":\"Number of audio channels reported for this track.\"},\"audio_codec\":{\"type\":\"string\",\"description\":\"Audio codec name reported for this track.\"},\"video_codec\":{\"type\":\"string\",\"description\":\"Video codec name reported for this track.\"},\"rotate\":{\"type\":\"integer\",\"description\":\"Rotation value reported for this video rendition.\"},\"psnr\":{\"type\":\"number\",\"description\":\"PSNR quality value on the scale returned by the platform.\"},\"ssim\":{\"type\":\"integer\",\"description\":\"SSIM quality value on the scale returned by the platform.\"},\"vmaf\":{\"type\":\"integer\",\"description\":\"VMAF quality value on the scale returned by the platform.\"}}}},\"av1\":{\"type\":\"array\",\"description\":\"AV1 stream group as returned. The group can be empty.\"},\"h266\":{\"type\":\"array\",\"description\":\"H.266 stream group as returned. The group can be empty.\"}}},\"audio_stream\":{\"type\":\"object\",\"description\":\"Audio-only renditions when available. This object can be empty.\",\"properties\":{\"AAC\":{\"type\":\"array\",\"description\":\"AAC audio-only renditions returned for the video.\",\"items\":{\"type\":\"object\",\"description\":\"An AAC audio-only rendition.\",\"properties\":{\"master_url\":{\"type\":\"string\",\"description\":\"Primary media URL for this rendition.\"},\"backup_urls\":{\"type\":\"array\",\"description\":\"Alternative media URLs for this rendition.\",\"items\":{\"type\":\"string\",\"description\":\"An alternative media URL.\"}},\"format\":{\"type\":\"string\",\"description\":\"Container format label for the media file.\"},\"stream_type\":{\"type\":\"integer\",\"description\":\"Numeric stream type code returned for this rendition.\"},\"audio_codec\":{\"type\":\"string\",\"description\":\"Audio codec name reported for this track.\"},\"audio_profile\":{\"type\":\"string\",\"description\":\"Audio codec profile reported for this track.\"},\"audio_channels\":{\"type\":\"integer\",\"description\":\"Number of audio channels reported for this track.\"},\"audio_samplerate\":{\"type\":\"integer\",\"description\":\"Sample rate value reported for this audio-only track.\"},\"audio_bit_depth\":{\"type\":\"integer\",\"description\":\"Sample bit depth reported for this track.\"},\"audio_duration\":{\"type\":\"integer\",\"description\":\"Duration value reported for this audio-only rendition.\"},\"size\":{\"type\":\"integer\",\"description\":\"Encoded size value reported for this audio-only rendition.\"},\"avg_bitrate\":{\"type\":\"integer\",\"description\":\"Average bitrate reported for this audio-only rendition.\"},\"audio_bitrate\":{\"type\":\"integer\",\"description\":\"Audio bitrate reported for this audio-only rendition.\"}}}}}},\"audio_info\":{\"type\":\"object\",\"description\":\"Audio stream information when provided.\",\"properties\":{\"stream_types\":{\"type\":\"array\",\"description\":\"Numeric audio stream type codes reported with the audio metadata.\",\"items\":{\"type\":\"integer\",\"description\":\"An audio stream type code.\"}}}}}}}},\"native_voice_info\":{\"type\":\"object\",\"description\":\"Voice or sound metadata attached to the note when available.\",\"properties\":{\"sound_id\":{\"type\":\"string\",\"description\":\"ID of the attached sound.\"},\"url\":{\"type\":\"string\",\"description\":\"Media URL for the attached sound.\"},\"deeplink\":{\"type\":\"string\",\"description\":\"Navigation link returned for the attached sound.\"},\"use_count\":{\"type\":\"integer\",\"description\":\"Use count reported for this sound.\"}}},\"simple_music_info\":{\"type\":\"object\",\"description\":\"Music metadata attached to the note when available.\",\"properties\":{\"music_id\":{\"type\":\"string\",\"description\":\"ID of the attached music.\"},\"name\":{\"type\":\"string\",\"description\":\"Name returned for the attached music.\"},\"url\":{\"type\":\"string\",\"description\":\"Media URL for the attached music.\"},\"deeplink\":{\"type\":\"string\",\"description\":\"Navigation link returned for the attached music.\"}}},\"note_statement\":{\"type\":\"object\",\"description\":\"Note statements and attribution shown when available.\",\"properties\":{\"origin_info\":{\"type\":\"object\",\"description\":\"Content origin information shown for the note.\",\"properties\":{\"origin_text\":{\"type\":\"string\",\"description\":\"Content origin text shown with the note.\"},\"origin_link\":{\"type\":\"string\",\"description\":\"Navigation link returned with the content origin text.\"}}}}},\"share_info\":{\"type\":\"object\",\"description\":\"Share information returned for the note.\",\"properties\":{\"title\":{\"type\":\"string\",\"description\":\"Title for sharing the note.\"},\"content\":{\"type\":\"string\",\"description\":\"Text for sharing the note.\"},\"image\":{\"type\":\"string\",\"description\":\"Image URL for sharing the note.\"},\"link\":{\"type\":\"string\",\"description\":\"Link for sharing the note.\"},\"wechat_share_desc\":{\"type\":\"string\",\"description\":\"Sharing description returned for WeChat.\"}}},\"sticky\":{\"type\":\"boolean\",\"description\":\"Pinned status reported with the note.\"},\"has_related_goods\":{\"type\":\"boolean\",\"description\":\"Whether the note is marked as having related products.\"},\"related_goods_num\":{\"type\":\"integer\",\"description\":\"Number of related products reported for the note.\"},\"media_save_config\":{\"type\":\"object\",\"description\":\"Media-saving settings returned for the note.\",\"properties\":{\"disable_save\":{\"type\":\"boolean\",\"description\":\"Whether the returned configuration disables saving media.\"},\"disable_watermark\":{\"type\":\"boolean\",\"description\":\"Whether the returned configuration disables watermarking.\"}}},\"comment_prompt_config\":{\"type\":\"object\",\"description\":\"Comment prompt information returned with the note.\",\"properties\":{\"placeholder_short\":{\"type\":\"string\",\"description\":\"Short placeholder text for the comment input.\"},\"placeholder_long\":{\"type\":\"string\",\"description\":\"Long placeholder text for the comment input.\"}}},\"function_switch\":{\"type\":\"array\",\"description\":\"Feature switch states returned with the note.\",\"items\":{\"type\":\"object\",\"description\":\"A returned feature switch.\",\"properties\":{\"type\":{\"type\":\"string\",\"description\":\"Feature switch type label.\"},\"enable\":{\"type\":\"boolean\",\"description\":\"Whether this feature switch is enabled.\"},\"reason\":{\"type\":\"string\",\"description\":\"Reason text returned with this switch, when provided.\"}}}}}}}}},\"allOf\":[{\"type\":\"object\",\"properties\":{\"code\":{\"type\":\"integer\",\"format\":\"int32\",\"enum\":[0,100,101,202,300,301,302,303,400,404,500,503,600,601,602]},\"message\":{\"type\":[\"string\",\"null\"]},\"data\":{},\"recordTime\":{\"type\":[\"string\",\"null\"]},\"requestId\":{\"type\":\"string\"},\"reason\":{\"type\":\"string\"},\"requestParams\":{\"type\":\"object\",\"properties\":{\"query\":{\"type\":\"object\",\"additionalProperties\":{\"type\":\"object\"}},\"body\":{\"type\":\"object\",\"properties\":{\"empty\":{\"type\":\"boolean\"},\"array\":{\"type\":\"boolean\"},\"null\":{\"type\":\"boolean\"},\"object\":{\"type\":\"boolean\"},\"float\":{\"type\":\"boolean\"},\"integralNumber\":{\"type\":\"boolean\"},\"floatingPointNumber\":{\"type\":\"boolean\"},\"nodeType\":{\"type\":\"string\",\"enum\":[\"ARRAY\",\"BINARY\",\"BOOLEAN\",\"MISSING\",\"NULL\",\"NUMBER\",\"OBJECT\",\"POJO\",\"STRING\"]},\"string\":{\"type\":\"boolean\"},\"missingNode\":{\"type\":\"boolean\"},\"valueNode\":{\"type\":\"boolean\"},\"container\":{\"type\":\"boolean\"},\"pojo\":{\"type\":\"boolean\"},\"short\":{\"type\":\"boolean\"},\"int\":{\"type\":\"boolean\"},\"long\":{\"type\":\"boolean\"},\"double\":{\"type\":\"boolean\"},\"bigDecimal\":{\"type\":\"boolean\"},\"bigInteger\":{\"type\":\"boolean\"},\"textual\":{\"type\":\"boolean\",\"deprecated\":true},\"boolean\":{\"type\":\"boolean\"},\"binary\":{\"type\":\"boolean\"},\"number\":{\"type\":\"boolean\"},\"embeddedValue\":{\"type\":\"boolean\"}}}}}},\"required\":[\"code\",\"data\",\"message\",\"recordTime\"]}]}}}},\"400\":{\"description\":\"Invalid request parameters or body\",\"content\":{\"application/json\":{\"schema\":{\"type\":\"object\",\"properties\":{\"code\":{\"type\":\"integer\",\"format\":\"int32\",\"enum\":[0,100,101,202,300,301,302,303,400,404,500,503,600,601,602]},\"message\":{\"type\":[\"string\",\"null\"]},\"data\":{},\"recordTime\":{\"type\":[\"string\",\"null\"]},\"requestId\":{\"type\":\"string\"},\"reason\":{\"type\":\"string\"},\"requestParams\":{\"type\":\"object\",\"properties\":{\"query\":{\"type\":\"object\",\"additionalProperties\":{\"type\":\"object\"}},\"body\":{\"type\":\"object\",\"properties\":{\"empty\":{\"type\":\"boolean\"},\"array\":{\"type\":\"boolean\"},\"null\":{\"type\":\"boolean\"},\"object\":{\"type\":\"boolean\"},\"float\":{\"type\":\"boolean\"},\"integralNumber\":{\"type\":\"boolean\"},\"floatingPointNumber\":{\"type\":\"boolean\"},\"nodeType\":{\"type\":\"string\",\"enum\":[\"ARRAY\",\"BINARY\",\"BOOLEAN\",\"MISSING\",\"NULL\",\"NUMBER\",\"OBJECT\",\"POJO\",\"STRING\"]},\"string\":{\"type\":\"boolean\"},\"missingNode\":{\"type\":\"boolean\"},\"valueNode\":{\"type\":\"boolean\"},\"container\":{\"type\":\"boolean\"},\"pojo\":{\"type\":\"boolean\"},\"short\":{\"type\":\"boolean\"},\"int\":{\"type\":\"boolean\"},\"long\":{\"type\":\"boolean\"},\"double\":{\"type\":\"boolean\"},\"bigDecimal\":{\"type\":\"boolean\"},\"bigInteger\":{\"type\":\"boolean\"},\"textual\":{\"type\":\"boolean\",\"deprecated\":true},\"boolean\":{\"type\":\"boolean\"},\"binary\":{\"type\":\"boolean\"},\"number\":{\"type\":\"boolean\"},\"embeddedValue\":{\"type\":\"boolean\"}}}}}},\"required\":[\"code\",\"data\",\"message\",\"recordTime\"]}}}},\"401\":{\"description\":\"Invalid or inactive access token\",\"content\":{\"application/json\":{\"schema\":{\"type\":\"object\",\"properties\":{\"code\":{\"type\":\"integer\",\"format\":\"int32\",\"enum\":[0,100,101,202,300,301,302,303,400,404,500,503,600,601,602]},\"message\":{\"type\":[\"string\",\"null\"]},\"data\":{},\"recordTime\":{\"type\":[\"string\",\"null\"]},\"requestId\":{\"type\":\"string\"},\"reason\":{\"type\":\"string\"},\"requestParams\":{\"type\":\"object\",\"properties\":{\"query\":{\"type\":\"object\",\"additionalProperties\":{\"type\":\"object\"}},\"body\":{\"type\":\"object\",\"properties\":{\"empty\":{\"type\":\"boolean\"},\"array\":{\"type\":\"boolean\"},\"null\":{\"type\":\"boolean\"},\"object\":{\"type\":\"boolean\"},\"float\":{\"type\":\"boolean\"},\"integralNumber\":{\"type\":\"boolean\"},\"floatingPointNumber\":{\"type\":\"boolean\"},\"nodeType\":{\"type\":\"string\",\"enum\":[\"ARRAY\",\"BINARY\",\"BOOLEAN\",\"MISSING\",\"NULL\",\"NUMBER\",\"OBJECT\",\"POJO\",\"STRING\"]},\"string\":{\"type\":\"boolean\"},\"missingNode\":{\"type\":\"boolean\"},\"valueNode\":{\"type\":\"boolean\"},\"container\":{\"type\":\"boolean\"},\"pojo\":{\"type\":\"boolean\"},\"short\":{\"type\":\"boolean\"},\"int\":{\"type\":\"boolean\"},\"long\":{\"type\":\"boolean\"},\"double\":{\"type\":\"boolean\"},\"bigDecimal\":{\"type\":\"boolean\"},\"bigInteger\":{\"type\":\"boolean\"},\"textual\":{\"type\":\"boolean\",\"deprecated\":true},\"boolean\":{\"type\":\"boolean\"},\"binary\":{\"type\":\"boolean\"},\"number\":{\"type\":\"boolean\"},\"embeddedValue\":{\"type\":\"boolean\"}}}}}},\"required\":[\"code\",\"data\",\"message\",\"recordTime\"]}}}},\"403\":{\"description\":\"Permission denied\",\"content\":{\"application/json\":{\"schema\":{\"type\":\"object\",\"properties\":{\"code\":{\"type\":\"integer\",\"format\":\"int32\",\"enum\":[0,100,101,202,300,301,302,303,400,404,500,503,600,601,602]},\"message\":{\"type\":[\"string\",\"null\"]},\"data\":{},\"recordTime\":{\"type\":[\"string\",\"null\"]},\"requestId\":{\"type\":\"string\"},\"reason\":{\"type\":\"string\"},\"requestParams\":{\"type\":\"object\",\"properties\":{\"query\":{\"type\":\"object\",\"additionalProperties\":{\"type\":\"object\"}},\"body\":{\"type\":\"object\",\"properties\":{\"empty\":{\"type\":\"boolean\"},\"array\":{\"type\":\"boolean\"},\"null\":{\"type\":\"boolean\"},\"object\":{\"type\":\"boolean\"},\"float\":{\"type\":\"boolean\"},\"integralNumber\":{\"type\":\"boolean\"},\"floatingPointNumber\":{\"type\":\"boolean\"},\"nodeType\":{\"type\":\"string\",\"enum\":[\"ARRAY\",\"BINARY\",\"BOOLEAN\",\"MISSING\",\"NULL\",\"NUMBER\",\"OBJECT\",\"POJO\",\"STRING\"]},\"string\":{\"type\":\"boolean\"},\"missingNode\":{\"type\":\"boolean\"},\"valueNode\":{\"type\":\"boolean\"},\"container\":{\"type\":\"boolean\"},\"pojo\":{\"type\":\"boolean\"},\"short\":{\"type\":\"boolean\"},\"int\":{\"type\":\"boolean\"},\"long\":{\"type\":\"boolean\"},\"double\":{\"type\":\"boolean\"},\"bigDecimal\":{\"type\":\"boolean\"},\"bigInteger\":{\"type\":\"boolean\"},\"textual\":{\"type\":\"boolean\",\"deprecated\":true},\"boolean\":{\"type\":\"boolean\"},\"binary\":{\"type\":\"boolean\"},\"number\":{\"type\":\"boolean\"},\"embeddedValue\":{\"type\":\"boolean\"}}}}}},\"required\":[\"code\",\"data\",\"message\",\"recordTime\"]}}}},\"429\":{\"description\":\"Request rate or daily quota limit exceeded\",\"content\":{\"application/json\":{\"schema\":{\"type\":\"object\",\"properties\":{\"code\":{\"type\":\"integer\",\"format\":\"int32\",\"enum\":[0,100,101,202,300,301,302,303,400,404,500,503,600,601,602]},\"message\":{\"type\":[\"string\",\"null\"]},\"data\":{},\"recordTime\":{\"type\":[\"string\",\"null\"]},\"requestId\":{\"type\":\"string\"},\"reason\":{\"type\":\"string\"},\"requestParams\":{\"type\":\"object\",\"properties\":{\"query\":{\"type\":\"object\",\"additionalProperties\":{\"type\":\"object\"}},\"body\":{\"type\":\"object\",\"properties\":{\"empty\":{\"type\":\"boolean\"},\"array\":{\"type\":\"boolean\"},\"null\":{\"type\":\"boolean\"},\"object\":{\"type\":\"boolean\"},\"float\":{\"type\":\"boolean\"},\"integralNumber\":{\"type\":\"boolean\"},\"floatingPointNumber\":{\"type\":\"boolean\"},\"nodeType\":{\"type\":\"string\",\"enum\":[\"ARRAY\",\"BINARY\",\"BOOLEAN\",\"MISSING\",\"NULL\",\"NUMBER\",\"OBJECT\",\"POJO\",\"STRING\"]},\"string\":{\"type\":\"boolean\"},\"missingNode\":{\"type\":\"boolean\"},\"valueNode\":{\"type\":\"boolean\"},\"container\":{\"type\":\"boolean\"},\"pojo\":{\"type\":\"boolean\"},\"short\":{\"type\":\"boolean\"},\"int\":{\"type\":\"boolean\"},\"long\":{\"type\":\"boolean\"},\"double\":{\"type\":\"boolean\"},\"bigDecimal\":{\"type\":\"boolean\"},\"bigInteger\":{\"type\":\"boolean\"},\"textual\":{\"type\":\"boolean\",\"deprecated\":true},\"boolean\":{\"type\":\"boolean\"},\"binary\":{\"type\":\"boolean\"},\"number\":{\"type\":\"boolean\"},\"embeddedValue\":{\"type\":\"boolean\"}}}}}},\"required\":[\"code\",\"data\",\"message\",\"recordTime\"]}}}},\"500\":{\"description\":\"Internal server error\",\"content\":{\"application/json\":{\"schema\":{\"type\":\"object\",\"properties\":{\"code\":{\"type\":\"integer\",\"format\":\"int32\",\"enum\":[0,100,101,202,300,301,302,303,400,404,500,503,600,601,602]},\"message\":{\"type\":[\"string\",\"null\"]},\"data\":{},\"recordTime\":{\"type\":[\"string\",\"null\"]},\"requestId\":{\"type\":\"string\"},\"reason\":{\"type\":\"string\"},\"requestParams\":{\"type\":\"object\",\"properties\":{\"query\":{\"type\":\"object\",\"additionalProperties\":{\"type\":\"object\"}},\"body\":{\"type\":\"object\",\"properties\":{\"empty\":{\"type\":\"boolean\"},\"array\":{\"type\":\"boolean\"},\"null\":{\"type\":\"boolean\"},\"object\":{\"type\":\"boolean\"},\"float\":{\"type\":\"boolean\"},\"integralNumber\":{\"type\":\"boolean\"},\"floatingPointNumber\":{\"type\":\"boolean\"},\"nodeType\":{\"type\":\"string\",\"enum\":[\"ARRAY\",\"BINARY\",\"BOOLEAN\",\"MISSING\",\"NULL\",\"NUMBER\",\"OBJECT\",\"POJO\",\"STRING\"]},\"string\":{\"type\":\"boolean\"},\"missingNode\":{\"type\":\"boolean\"},\"valueNode\":{\"type\":\"boolean\"},\"container\":{\"type\":\"boolean\"},\"pojo\":{\"type\":\"boolean\"},\"short\":{\"type\":\"boolean\"},\"int\":{\"type\":\"boolean\"},\"long\":{\"type\":\"boolean\"},\"double\":{\"type\":\"boolean\"},\"bigDecimal\":{\"type\":\"boolean\"},\"bigInteger\":{\"type\":\"boolean\"},\"textual\":{\"type\":\"boolean\",\"deprecated\":true},\"boolean\":{\"type\":\"boolean\"},\"binary\":{\"type\":\"boolean\"},\"number\":{\"type\":\"boolean\"},\"embeddedValue\":{\"type\":\"boolean\"}}}}}},\"required\":[\"code\",\"data\",\"message\",\"recordTime\"]}}}},\"503\":{\"description\":\"Service temporarily unavailable\",\"content\":{\"application/json\":{\"schema\":{\"type\":\"object\",\"properties\":{\"code\":{\"type\":\"integer\",\"format\":\"int32\",\"enum\":[0,100,101,202,300,301,302,303,400,404,500,503,600,601,602]},\"message\":{\"type\":[\"string\",\"null\"]},\"data\":{},\"recordTime\":{\"type\":[\"string\",\"null\"]},\"requestId\":{\"type\":\"string\"},\"reason\":{\"type\":\"string\"},\"requestParams\":{\"type\":\"object\",\"properties\":{\"query\":{\"type\":\"object\",\"additionalProperties\":{\"type\":\"object\"}},\"body\":{\"type\":\"object\",\"properties\":{\"empty\":{\"type\":\"boolean\"},\"array\":{\"type\":\"boolean\"},\"null\":{\"type\":\"boolean\"},\"object\":{\"type\":\"boolean\"},\"float\":{\"type\":\"boolean\"},\"integralNumber\":{\"type\":\"boolean\"},\"floatingPointNumber\":{\"type\":\"boolean\"},\"nodeType\":{\"type\":\"string\",\"enum\":[\"ARRAY\",\"BINARY\",\"BOOLEAN\",\"MISSING\",\"NULL\",\"NUMBER\",\"OBJECT\",\"POJO\",\"STRING\"]},\"string\":{\"type\":\"boolean\"},\"missingNode\":{\"type\":\"boolean\"},\"valueNode\":{\"type\":\"boolean\"},\"container\":{\"type\":\"boolean\"},\"pojo\":{\"type\":\"boolean\"},\"short\":{\"type\":\"boolean\"},\"int\":{\"type\":\"boolean\"},\"long\":{\"type\":\"boolean\"},\"double\":{\"type\":\"boolean\"},\"bigDecimal\":{\"type\":\"boolean\"},\"bigInteger\":{\"type\":\"boolean\"},\"textual\":{\"type\":\"boolean\",\"deprecated\":true},\"boolean\":{\"type\":\"boolean\"},\"binary\":{\"type\":\"boolean\"},\"number\":{\"type\":\"boolean\"},\"embeddedValue\":{\"type\":\"boolean\"}}}}}},\"required\":[\"code\",\"data\",\"message\",\"recordTime\"]}}}}}")'
  :servers='JSON.parse("[{\"url\":\"https://api.justoneapi.com\",\"description\":\"Global production API (default)\"}]")'
  :security='JSON.parse("[]")'
  :securitySchemes='JSON.parse("{}")'
  :schemas='JSON.parse("{}")'
/>

<ApiHealthSection :api='JSON.parse("\"/api/xiaohongshu/get-note-detail/v6\"")' />

<p>Retrieves Xiaohongshu (RedNote) video-note details by note ID. Use it to look up and process a known video note.</p>

## Highlights

::: tip Condition
<p>This endpoint supports video downloads for video notes only; image-and-text notes are not supported.</p>
:::

## Parameters

<div class="api-doc-table api-doc-table--params">

| Name | In | Type | Required | Default | Description |
| --- | --- | --- | --- | --- | --- |
| <code>token</code> | query | <code>string</code> | Yes | - | Access token for this API service. |
| <code>noteId</code> | query | <code>string</code> | Yes | - | Unique note identifier on Xiaohongshu. |

</div>

## Code Samples

::: code-group

```bash [🐚 cURL]
curl --max-time 120 -X GET 'https://api.justoneapi.com/api/xiaohongshu/get-note-detail/v6?token=YOUR_API_KEY&noteId=VALUE'
```

```text [🤖 AI Prompt]
I want to use the "Note Details (V6)" API from JustOneAPI.
Base URL: https://api.justoneapi.com.
API Path: /api/xiaohongshu/get-note-detail/v6?token=YOUR_API_KEY&noteId=VALUE
API Endpoint: BASE_URL + /api/xiaohongshu/get-note-detail/v6?token=YOUR_API_KEY&noteId=VALUE
HTTP Method: GET
Authentication: Append the "token" query parameter to the URL.
OpenAPI Definition: https://docs.justoneapi.com/openapi/xiaohongshu-rednote/note-details-v6-en.json

Parameters:
- token (query): Access token for this API service. (Required)
- noteId (query): Unique note identifier on Xiaohongshu. (Required)

Return format: safely handle JSON or text according to the actual Content-Type.

Response Handling & Error Codes:
1. Business results should be determined by the "code" field in the response body (code 0 means success).
2. Timeout Recommendation: Set the request timeout to 120 seconds. If 120 seconds is too long for your use case, use at least 60 seconds, but a small number of requests may time out before receiving a result.
3. Business Code Reference:
   - 0: Success
   - 100: Invalid or Inactive Token
   - 301: Collection Failed. Please Retry.
   - 302: Rate Limit Exceeded
   - 303: Daily Quota Exceeded
   - 400: Invalid Parameters
   - 500: Internal Server Error
   - 600: Permission Denied
   - 601: Insufficient Balance
   - 602: Token Budget Exceeded
4. Code 601 means the shared account balance is insufficient. Code 602 means the current API token's own cumulative budget limit has been reached. Token budget limits do not transfer funds out of the shared account balance.

Please help me write a script in my preferred programming language to call this API and handle the response.
```

```python [🐍 Python]
import requests

BASE_URL = "https://api.justoneapi.com"  # Provided by OpenAPI servers

url = BASE_URL + "/api/xiaohongshu/get-note-detail/v6?token=YOUR_API_KEY&noteId=VALUE"
response = requests.get(url, timeout=120)
print(response.status_code)
if response.content:
    content_type = response.headers.get("content-type", "").lower()
    if "json" in content_type:
        try:
            print(response.json())
        except ValueError:
            print(response.text)
    elif content_type.startswith("text/") or "xml" in content_type or content_type.split(";", 1)[0].strip() in {"application/javascript", "application/x-www-form-urlencoded", "application/graphql"}:
        print(response.text)
    else:
        with open("response.bin", "wb") as output:
            output.write(response.content)
        print(f"Saved {len(response.content)} bytes to response.bin")
```

```js [🌐 JavaScript]
const BASE_URL = "https://api.justoneapi.com"; // Provided by OpenAPI servers
const url = BASE_URL + "/api/xiaohongshu/get-note-detail/v6?token=YOUR_API_KEY&noteId=VALUE";

const response = await fetch(url, {
  method: "GET",
  signal: AbortSignal.timeout(120000)
});
console.log(response.status);
const responseBytes = await response.arrayBuffer();
if (responseBytes.byteLength) {
  const contentType = (response.headers.get("content-type") || "").toLowerCase();
  const mediaType = contentType.split(";", 1)[0].trim();
  const textual = contentType.startsWith("text/") || contentType.includes("json") || contentType.includes("xml") || ["application/javascript", "application/x-www-form-urlencoded", "application/graphql"].includes(mediaType);
  if (textual) {
    const responseText = new TextDecoder().decode(responseBytes);
    let data = responseText;
    if (contentType.includes("json")) {
      try { data = JSON.parse(responseText); } catch { /* Keep the raw body. */ }
    }
    console.log(data);
  } else {
    console.log(`Received ${responseBytes.byteLength} binary bytes`);
  }
}
```

```java [☕ Java]
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.time.Duration;
import java.nio.charset.StandardCharsets;
import java.nio.file.Files;
import java.nio.file.Path;

public class Main {
    public static void main(String[] args) throws Exception {
        final String BASE_URL = "https://api.justoneapi.com"; // Provided by OpenAPI servers
        final String url = BASE_URL + "/api/xiaohongshu/get-note-detail/v6?token=YOUR_API_KEY&noteId=VALUE";

        HttpClient client = HttpClient.newBuilder().connectTimeout(Duration.ofSeconds(120)).build();
        HttpRequest.Builder builder = HttpRequest.newBuilder()
            .uri(URI.create(url))
            .timeout(Duration.ofSeconds(120))
            .method("GET", HttpRequest.BodyPublishers.noBody());

        HttpRequest request = builder.build();

        HttpResponse<byte[]> response = client.send(request, HttpResponse.BodyHandlers.ofByteArray());
        System.out.println(response.statusCode());
        String contentType = response.headers().firstValue("content-type").orElse("").toLowerCase();
        String mediaType = contentType.split(";", 2)[0].trim();
        if (contentType.startsWith("text/") || contentType.contains("json") || contentType.contains("xml") || mediaType.equals("application/javascript") || mediaType.equals("application/x-www-form-urlencoded") || mediaType.equals("application/graphql")) {
            System.out.println(new String(response.body(), StandardCharsets.UTF_8));
        } else {
            Files.write(Path.of("response.bin"), response.body());
            System.out.println("Saved " + response.body().length + " bytes to response.bin");
        }
    }
}
```

```go [🐹 Go]
package main

import (
	"fmt"
	"io"
	"os"
	"strings"
	"net/http"
	"time"
)

const BASE_URL = "https://api.justoneapi.com" // Provided by OpenAPI servers

func main() {
	client := &http.Client{Timeout: 120 * time.Second}
	url := BASE_URL + "/api/xiaohongshu/get-note-detail/v6?token=YOUR_API_KEY&noteId=VALUE"
	req, _ := http.NewRequest("GET", url, nil)
	resp, _ := client.Do(req)
	defer resp.Body.Close()
	fmt.Println(resp.StatusCode)
	bodyBytes, _ := io.ReadAll(resp.Body)
	contentType := strings.ToLower(resp.Header.Get("Content-Type"))
	mediaType := strings.TrimSpace(strings.SplitN(contentType, ";", 2)[0])
	if strings.HasPrefix(contentType, "text/") || strings.Contains(contentType, "json") || strings.Contains(contentType, "xml") || mediaType == "application/javascript" || mediaType == "application/x-www-form-urlencoded" || mediaType == "application/graphql" {
		fmt.Println(string(bodyBytes))
	} else {
		os.WriteFile("response.bin", bodyBytes, 0600)
		fmt.Printf("Saved %d bytes to response.bin\n", len(bodyBytes))
	}
}
```

```php [🐘 PHP]
<?php
$BASE_URL = 'https://api.justoneapi.com'; // Provided by OpenAPI servers
$url = $BASE_URL . '/api/xiaohongshu/get-note-detail/v6?token=YOUR_API_KEY&noteId=VALUE';

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_TIMEOUT, 120);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
$response = curl_exec($ch);
$status = curl_getinfo($ch, CURLINFO_RESPONSE_CODE);
$contentType = strtolower((string) curl_getinfo($ch, CURLINFO_CONTENT_TYPE));
curl_close($ch);
echo $status . PHP_EOL;
$mediaType = trim(explode(';', $contentType, 2)[0]);
if (str_starts_with($contentType, 'text/') || str_contains($contentType, 'json') || str_contains($contentType, 'xml') || in_array($mediaType, ['application/javascript', 'application/x-www-form-urlencoded', 'application/graphql'], true)) {
    echo $response;
} else {
    file_put_contents('response.bin', $response);
    echo 'Saved ' . strlen($response) . ' bytes to response.bin' . PHP_EOL;
}
```

:::

<div style="text-align: right; margin-top: -20px; margin-bottom: 20px;">
<a href="/openapi/xiaohongshu-rednote/note-details-v6-en.json" target="_blank" style="font-size: 12px; color: var(--vp-c-text-3); text-decoration: none; opacity: 0.8;">[OpenAPI Definition (JSON)]</a>
</div>

## Response Fields

Key fields in a successful response (`code = 0`).

<div class="api-doc-table api-doc-table--response">

| Field path | Type | Description |
| --- | --- | --- |
| <code>data</code> | - | Video-note details. A successful response usually returns an array with the matching note or an empty array. |
| <code>data[]</code> | <code>object</code> | A matching Xiaohongshu video note. |
| <code>data[].id</code> | <code>string</code> | Xiaohongshu note ID. |
| <code>data[].type</code> | <code>string</code> | Note type label returned for this video note. |
| <code>data[].title</code> | <code>string</code> | Note title. |
| <code>data[].desc</code> | <code>string</code> | Note description text. |
| <code>data[].time</code> | <code>integer</code> | Note publication time as a Unix timestamp in seconds. |
| <code>data[].last_update_time</code> | <code>integer</code> | Last update time as a Unix timestamp in seconds when set. The value can be zero. |
| <code>data[].text_language_code</code> | <code>string</code> | Text language code reported for the note. |
| <code>data[].ip_location</code> | <code>string</code> | Location label shown on the note by the platform. |
| <code>data[].liked_count</code> | <code>integer</code> | Number of likes reported for the note. |
| <code>data[].collected_count</code> | <code>integer</code> | Number of saves reported for the note. |
| <code>data[].comments_count</code> | <code>integer</code> | Number of comments reported for the note. |
| <code>data[].shared_count</code> | <code>integer</code> | Number of shares reported for the note. |
| <code>data[].view_count</code> | <code>integer</code> | Number of views reported for the note. |
| <code>data[].liked</code> | <code>boolean</code> | Like status reported with the note. |
| <code>data[].collected</code> | <code>boolean</code> | Save status reported with the note. |
| <code>data[].user</code> | <code>object</code> | Author profile information returned with the note. |
| <code>data[].user.id</code> | <code>string</code> | Author ID returned with the profile. |
| <code>data[].user.userid</code> | <code>string</code> | Author user ID returned with the profile. |
| <code>data[].user.name</code> | <code>string</code> | Author name as returned in the profile. |
| <code>data[].user.nickname</code> | <code>string</code> | Author display nickname. |
| <code>data[].user.red_id</code> | <code>string</code> | Author's Xiaohongshu account handle. |
| <code>data[].user.image</code> | <code>string</code> | Author profile image URL. |
| <code>data[].user.image_size_large</code> | <code>string</code> | Large author profile image URL, when provided. |
| <code>data[].user.followed</code> | <code>boolean</code> | Follow status reported with the author profile. |
| <code>data[].user.red_official_verified</code> | <code>boolean</code> | Whether the author profile is marked as officially verified. |
| <code>data[].user.red_official_verify_type</code> | <code>integer</code> | Numeric official verification type code. |
| <code>data[].user.level</code> | <code>object</code> | Author level badge information. |
| <code>data[].user.level.image</code> | <code>string</code> | Image URL for the author level badge. |
| <code>data[].topics</code> | <code>array</code> | Topics associated with the video note. |
| <code>data[].topics[]</code> | <code>object</code> | A topic associated with the note. |
| <code>data[].topics[].id</code> | <code>string</code> | Topic ID. |
| <code>data[].topics[].name</code> | <code>string</code> | Topic name. |
| <code>data[].topics[].image</code> | <code>string</code> | Image URL associated with the topic. |
| <code>data[].topics[].link</code> | <code>string</code> | Navigation link returned for the topic. |
| <code>data[].topics[].discuss_num</code> | <code>integer</code> | Discussion count reported for the topic. |
| <code>data[].hash_tag</code> | <code>array</code> | Hashtag information returned with the note. |
| <code>data[].hash_tag[]</code> | <code>object</code> | A hashtag attached to the note. |
| <code>data[].hash_tag[].id</code> | <code>string</code> | Hashtag ID. |
| <code>data[].hash_tag[].name</code> | <code>string</code> | Hashtag display name. |
| <code>data[].hash_tag[].link</code> | <code>string</code> | Navigation link returned for the hashtag. |
| <code>data[].hash_tag[].type</code> | <code>string</code> | Hashtag type label. |
| <code>data[].hash_tag[].tag_hint</code> | <code>string</code> | Display hint for the hashtag. |
| <code>data[].ats</code> | <code>array</code> | Accounts mentioned in the note, when present. |
| <code>data[].ats[]</code> | <code>object</code> | An account mentioned in the note. |
| <code>data[].ats[].id</code> | <code>string</code> | Mentioned account ID. |
| <code>data[].ats[].name</code> | <code>string</code> | Name returned for the mentioned account. |
| <code>data[].ats[].nickname</code> | <code>string</code> | Display nickname of the mentioned account. |
| <code>data[].ats[].red_official_verified</code> | <code>boolean</code> | Whether the mentioned account is marked as officially verified. |
| <code>data[].ats[].red_official_verify_type</code> | <code>integer</code> | Numeric official verification type code. |
| <code>data[].ats[].level</code> | <code>object</code> | Mentioned account level badge information. |
| <code>data[].ats[].level.image</code> | <code>string</code> | Image URL for the mentioned account level badge. |
| <code>data[].images_list</code> | <code>array</code> | Image assets attached to the video note, including available cover images. |
| <code>data[].images_list[]</code> | <code>object</code> | An image asset for the video note. |
| <code>data[].images_list[].fileid</code> | <code>string</code> | Image resource ID. |
| <code>data[].images_list[].index</code> | <code>integer</code> | Position index reported for this image. |
| <code>data[].images_list[].url</code> | <code>string</code> | Image URL. |
| <code>data[].images_list[].original</code> | <code>string</code> | Original image URL, when provided. |
| <code>data[].images_list[].url_size_large</code> | <code>string</code> | Large image URL, when provided. |
| <code>data[].images_list[].width</code> | <code>integer</code> | Image width in pixels. |
| <code>data[].images_list[].height</code> | <code>integer</code> | Image height in pixels. |
| <code>data[].images_list[].origin_img</code> | <code>object</code> | Original image metadata when provided. |
| <code>data[].images_list[].origin_img.width</code> | <code>integer</code> | Original image width in pixels. |
| <code>data[].images_list[].origin_img.height</code> | <code>integer</code> | Original image height in pixels. |
| <code>data[].images_list[].origin_img.size</code> | <code>integer</code> | Size value reported for the original image. |
| <code>data[].video_info_v2</code> | <code>object</code> | Video, image, and media stream metadata for the note. |
| <code>data[].video_info_v2.image</code> | <code>object</code> | Preview image URLs returned with the video. |
| <code>data[].video_info_v2.image.first_frame</code> | <code>string</code> | First-frame image URL, when provided. |
| <code>data[].video_info_v2.image.thumbnail</code> | <code>string</code> | Video thumbnail URL. |
| <code>data[].video_info_v2.image.thumbnail_dim</code> | <code>string</code> | Additional thumbnail URL returned for the video. |
| <code>data[].video_info_v2.consumer</code> | <code>object</code> | Playback capabilities reported for the video. |
| <code>data[].video_info_v2.consumer.can_super_resolution</code> | <code>boolean</code> | Whether the playback metadata marks super-resolution as available. |
| <code>data[].video_info_v2.media</code> | <code>object</code> | Video and media stream metadata. Some groups may be unavailable or empty. |
| <code>data[].video_info_v2.media.video_id</code> | <code>string</code> | Video ID reported in the media metadata. |
| <code>data[].video_info_v2.media.video</code> | <code>object</code> | Information about the video as a whole. |
| <code>data[].video_info_v2.media.video.duration</code> | <code>integer</code> | Overall video duration in seconds. |
| <code>data[].video_info_v2.media.video.width</code> | <code>integer</code> | Video width in pixels. |
| <code>data[].video_info_v2.media.video.height</code> | <code>integer</code> | Video height in pixels. |
| <code>data[].video_info_v2.media.video.hdr_type</code> | <code>integer</code> | Numeric HDR type code reported for the video. |
| <code>data[].video_info_v2.media.video.drm_type</code> | <code>integer</code> | Numeric DRM type code reported for the video. |
| <code>data[].video_info_v2.media.video.stream_types</code> | <code>array</code> | Numeric video stream type codes reported for the video. |
| <code>data[].video_info_v2.media.video.stream_types[]</code> | <code>integer</code> | A video stream type code. |
| <code>data[].video_info_v2.media.video.subtitles</code> | <code>object</code> | Subtitle tracks grouped by returned key. Keys can include a language label or the source entry. |
| <code>data[].video_info_v2.media.video.subtitles.{key}</code> | <code>array</code> | Subtitle tracks under this key. |
| <code>data[].video_info_v2.media.video.subtitles.{key}[]</code> | <code>object</code> | A subtitle track. |
| <code>data[].video_info_v2.media.video.subtitles.{key}[].language</code> | <code>string</code> | Language label returned for this subtitle track. |
| <code>data[].video_info_v2.media.video.subtitles.{key}[].url</code> | <code>string</code> | File URL for this subtitle track. |
| <code>data[].video_info_v2.media.video.subtitles.{key}[].format</code> | <code>integer</code> | Numeric format code returned for this subtitle track. |
| <code>data[].video_info_v2.media.video.subtitles.{key}[].type</code> | <code>integer</code> | Numeric type code returned for this subtitle track. |
| <code>data[].video_info_v2.media.stream</code> | <code>object</code> | Video renditions grouped by codec family. Some groups can be empty. |
| <code>data[].video_info_v2.media.stream.h264</code> | <code>array</code> | H.264 video streams returned for the note. |
| <code>data[].video_info_v2.media.stream.h264[]</code> | <code>object</code> | A video stream rendition and its available audio metadata. |
| <code>data[].video_info_v2.media.stream.h264[].master_url</code> | <code>string</code> | Primary media URL for this rendition. |
| <code>data[].video_info_v2.media.stream.h264[].backup_urls</code> | <code>array</code> | Alternative media URLs for this rendition. |
| <code>data[].video_info_v2.media.stream.h264[].backup_urls[]</code> | <code>string</code> | An alternative media URL. |
| <code>data[].video_info_v2.media.stream.h264[].format</code> | <code>string</code> | Container format label for the media file. |
| <code>data[].video_info_v2.media.stream.h264[].quality_type</code> | <code>string</code> | Quality label reported for this video rendition. |
| <code>data[].video_info_v2.media.stream.h264[].stream_desc</code> | <code>string</code> | Display description for this media rendition. |
| <code>data[].video_info_v2.media.stream.h264[].stream_type</code> | <code>integer</code> | Numeric stream type code returned for this rendition. |
| <code>data[].video_info_v2.media.stream.h264[].width</code> | <code>integer</code> | Encoded video width in pixels. |
| <code>data[].video_info_v2.media.stream.h264[].height</code> | <code>integer</code> | Encoded video height in pixels. |
| <code>data[].video_info_v2.media.stream.h264[].fps</code> | <code>integer</code> | Frame rate reported in frames per second. |
| <code>data[].video_info_v2.media.stream.h264[].duration</code> | <code>integer</code> | Total duration of this media stream in milliseconds. |
| <code>data[].video_info_v2.media.stream.h264[].video_duration</code> | <code>integer</code> | Duration of the video track in milliseconds. |
| <code>data[].video_info_v2.media.stream.h264[].audio_duration</code> | <code>integer</code> | Duration of the audio track in milliseconds. |
| <code>data[].video_info_v2.media.stream.h264[].size</code> | <code>integer</code> | Size of this encoded media file in bytes. |
| <code>data[].video_info_v2.media.stream.h264[].avg_bitrate</code> | <code>integer</code> | Average bitrate of this media stream in bits per second. |
| <code>data[].video_info_v2.media.stream.h264[].video_bitrate</code> | <code>integer</code> | Video track bitrate in bits per second. |
| <code>data[].video_info_v2.media.stream.h264[].audio_bitrate</code> | <code>integer</code> | Audio track bitrate in bits per second. |
| <code>data[].video_info_v2.media.stream.h264[].audio_channels</code> | <code>integer</code> | Number of audio channels reported for this track. |
| <code>data[].video_info_v2.media.stream.h264[].audio_codec</code> | <code>string</code> | Audio codec name reported for this track. |
| <code>data[].video_info_v2.media.stream.h264[].video_codec</code> | <code>string</code> | Video codec name reported for this track. |
| <code>data[].video_info_v2.media.stream.h264[].rotate</code> | <code>integer</code> | Rotation value reported for this video rendition. |
| <code>data[].video_info_v2.media.stream.h264[].psnr</code> | <code>integer</code> | PSNR quality value on the scale returned by the platform. |
| <code>data[].video_info_v2.media.stream.h264[].ssim</code> | <code>integer</code> | SSIM quality value on the scale returned by the platform. |
| <code>data[].video_info_v2.media.stream.h264[].vmaf</code> | <code>integer</code> | VMAF quality value on the scale returned by the platform. |
| <code>data[].video_info_v2.media.stream.h265</code> | <code>array</code> | H.265 video streams returned for the note. |
| <code>data[].video_info_v2.media.stream.h265[]</code> | <code>object</code> | A video stream rendition and its available audio metadata. |
| <code>data[].video_info_v2.media.stream.h265[].master_url</code> | <code>string</code> | Primary media URL for this rendition. |
| <code>data[].video_info_v2.media.stream.h265[].backup_urls</code> | <code>array</code> | Alternative media URLs for this rendition. |
| <code>data[].video_info_v2.media.stream.h265[].backup_urls[]</code> | <code>string</code> | An alternative media URL. |
| <code>data[].video_info_v2.media.stream.h265[].format</code> | <code>string</code> | Container format label for the media file. |
| <code>data[].video_info_v2.media.stream.h265[].quality_type</code> | <code>string</code> | Quality label reported for this video rendition. |
| <code>data[].video_info_v2.media.stream.h265[].stream_desc</code> | <code>string</code> | Display description for this media rendition. |
| <code>data[].video_info_v2.media.stream.h265[].stream_type</code> | <code>integer</code> | Numeric stream type code returned for this rendition. |
| <code>data[].video_info_v2.media.stream.h265[].width</code> | <code>integer</code> | Encoded video width in pixels. |
| <code>data[].video_info_v2.media.stream.h265[].height</code> | <code>integer</code> | Encoded video height in pixels. |
| <code>data[].video_info_v2.media.stream.h265[].fps</code> | <code>integer</code> | Frame rate reported in frames per second. |
| <code>data[].video_info_v2.media.stream.h265[].duration</code> | <code>integer</code> | Total duration of this media stream in milliseconds. |
| <code>data[].video_info_v2.media.stream.h265[].video_duration</code> | <code>integer</code> | Duration of the video track in milliseconds. |
| <code>data[].video_info_v2.media.stream.h265[].audio_duration</code> | <code>integer</code> | Duration of the audio track in milliseconds. |
| <code>data[].video_info_v2.media.stream.h265[].size</code> | <code>integer</code> | Size of this encoded media file in bytes. |
| <code>data[].video_info_v2.media.stream.h265[].avg_bitrate</code> | <code>integer</code> | Average bitrate of this media stream in bits per second. |
| <code>data[].video_info_v2.media.stream.h265[].video_bitrate</code> | <code>integer</code> | Video track bitrate in bits per second. |
| <code>data[].video_info_v2.media.stream.h265[].audio_bitrate</code> | <code>integer</code> | Audio track bitrate in bits per second. |
| <code>data[].video_info_v2.media.stream.h265[].audio_channels</code> | <code>integer</code> | Number of audio channels reported for this track. |
| <code>data[].video_info_v2.media.stream.h265[].audio_codec</code> | <code>string</code> | Audio codec name reported for this track. |
| <code>data[].video_info_v2.media.stream.h265[].video_codec</code> | <code>string</code> | Video codec name reported for this track. |
| <code>data[].video_info_v2.media.stream.h265[].rotate</code> | <code>integer</code> | Rotation value reported for this video rendition. |
| <code>data[].video_info_v2.media.stream.h265[].psnr</code> | <code>number</code> | PSNR quality value on the scale returned by the platform. |
| <code>data[].video_info_v2.media.stream.h265[].ssim</code> | <code>integer</code> | SSIM quality value on the scale returned by the platform. |
| <code>data[].video_info_v2.media.stream.h265[].vmaf</code> | <code>integer</code> | VMAF quality value on the scale returned by the platform. |
| <code>data[].video_info_v2.media.stream.av1</code> | <code>array</code> | AV1 stream group as returned. The group can be empty. |
| <code>data[].video_info_v2.media.stream.h266</code> | <code>array</code> | H.266 stream group as returned. The group can be empty. |
| <code>data[].video_info_v2.media.audio_stream</code> | <code>object</code> | Audio-only renditions when available. This object can be empty. |
| <code>data[].video_info_v2.media.audio_stream.AAC</code> | <code>array</code> | AAC audio-only renditions returned for the video. |
| <code>data[].video_info_v2.media.audio_stream.AAC[]</code> | <code>object</code> | An AAC audio-only rendition. |
| <code>data[].video_info_v2.media.audio_stream.AAC[].master_url</code> | <code>string</code> | Primary media URL for this rendition. |
| <code>data[].video_info_v2.media.audio_stream.AAC[].backup_urls</code> | <code>array</code> | Alternative media URLs for this rendition. |
| <code>data[].video_info_v2.media.audio_stream.AAC[].backup_urls[]</code> | <code>string</code> | An alternative media URL. |
| <code>data[].video_info_v2.media.audio_stream.AAC[].format</code> | <code>string</code> | Container format label for the media file. |
| <code>data[].video_info_v2.media.audio_stream.AAC[].stream_type</code> | <code>integer</code> | Numeric stream type code returned for this rendition. |
| <code>data[].video_info_v2.media.audio_stream.AAC[].audio_codec</code> | <code>string</code> | Audio codec name reported for this track. |
| <code>data[].video_info_v2.media.audio_stream.AAC[].audio_profile</code> | <code>string</code> | Audio codec profile reported for this track. |
| <code>data[].video_info_v2.media.audio_stream.AAC[].audio_channels</code> | <code>integer</code> | Number of audio channels reported for this track. |
| <code>data[].video_info_v2.media.audio_stream.AAC[].audio_samplerate</code> | <code>integer</code> | Sample rate value reported for this audio-only track. |
| <code>data[].video_info_v2.media.audio_stream.AAC[].audio_bit_depth</code> | <code>integer</code> | Sample bit depth reported for this track. |
| <code>data[].video_info_v2.media.audio_stream.AAC[].audio_duration</code> | <code>integer</code> | Duration value reported for this audio-only rendition. |
| <code>data[].video_info_v2.media.audio_stream.AAC[].size</code> | <code>integer</code> | Encoded size value reported for this audio-only rendition. |
| <code>data[].video_info_v2.media.audio_stream.AAC[].avg_bitrate</code> | <code>integer</code> | Average bitrate reported for this audio-only rendition. |
| <code>data[].video_info_v2.media.audio_stream.AAC[].audio_bitrate</code> | <code>integer</code> | Audio bitrate reported for this audio-only rendition. |
| <code>data[].video_info_v2.media.audio_info</code> | <code>object</code> | Audio stream information when provided. |
| <code>data[].video_info_v2.media.audio_info.stream_types</code> | <code>array</code> | Numeric audio stream type codes reported with the audio metadata. |
| <code>data[].video_info_v2.media.audio_info.stream_types[]</code> | <code>integer</code> | An audio stream type code. |
| <code>data[].native_voice_info</code> | <code>object</code> | Voice or sound metadata attached to the note when available. |
| <code>data[].native_voice_info.sound_id</code> | <code>string</code> | ID of the attached sound. |
| <code>data[].native_voice_info.url</code> | <code>string</code> | Media URL for the attached sound. |
| <code>data[].native_voice_info.deeplink</code> | <code>string</code> | Navigation link returned for the attached sound. |
| <code>data[].native_voice_info.use_count</code> | <code>integer</code> | Use count reported for this sound. |
| <code>data[].simple_music_info</code> | <code>object</code> | Music metadata attached to the note when available. |
| <code>data[].simple_music_info.music_id</code> | <code>string</code> | ID of the attached music. |
| <code>data[].simple_music_info.name</code> | <code>string</code> | Name returned for the attached music. |
| <code>data[].simple_music_info.url</code> | <code>string</code> | Media URL for the attached music. |
| <code>data[].simple_music_info.deeplink</code> | <code>string</code> | Navigation link returned for the attached music. |
| <code>data[].note_statement</code> | <code>object</code> | Note statements and attribution shown when available. |
| <code>data[].note_statement.origin_info</code> | <code>object</code> | Content origin information shown for the note. |
| <code>data[].note_statement.origin_info.origin_text</code> | <code>string</code> | Content origin text shown with the note. |
| <code>data[].note_statement.origin_info.origin_link</code> | <code>string</code> | Navigation link returned with the content origin text. |
| <code>data[].share_info</code> | <code>object</code> | Share information returned for the note. |
| <code>data[].share_info.title</code> | <code>string</code> | Title for sharing the note. |
| <code>data[].share_info.content</code> | <code>string</code> | Text for sharing the note. |
| <code>data[].share_info.image</code> | <code>string</code> | Image URL for sharing the note. |
| <code>data[].share_info.link</code> | <code>string</code> | Link for sharing the note. |
| <code>data[].share_info.wechat_share_desc</code> | <code>string</code> | Sharing description returned for WeChat. |
| <code>data[].sticky</code> | <code>boolean</code> | Pinned status reported with the note. |
| <code>data[].has_related_goods</code> | <code>boolean</code> | Whether the note is marked as having related products. |
| <code>data[].related_goods_num</code> | <code>integer</code> | Number of related products reported for the note. |
| <code>data[].media_save_config</code> | <code>object</code> | Media-saving settings returned for the note. |
| <code>data[].media_save_config.disable_save</code> | <code>boolean</code> | Whether the returned configuration disables saving media. |
| <code>data[].media_save_config.disable_watermark</code> | <code>boolean</code> | Whether the returned configuration disables watermarking. |
| <code>data[].comment_prompt_config</code> | <code>object</code> | Comment prompt information returned with the note. |
| <code>data[].comment_prompt_config.placeholder_short</code> | <code>string</code> | Short placeholder text for the comment input. |
| <code>data[].comment_prompt_config.placeholder_long</code> | <code>string</code> | Long placeholder text for the comment input. |
| <code>data[].function_switch</code> | <code>array</code> | Feature switch states returned with the note. |
| <code>data[].function_switch[]</code> | <code>object</code> | A returned feature switch. |
| <code>data[].function_switch[].type</code> | <code>string</code> | Feature switch type label. |
| <code>data[].function_switch[].enable</code> | <code>boolean</code> | Whether this feature switch is enabled. |
| <code>data[].function_switch[].reason</code> | <code>string</code> | Reason text returned with this switch, when provided. |

</div>

## Response Example

<ApiExampleSection :api='JSON.parse("\"/api/xiaohongshu/get-note-detail/v6\"")' />

